Subject: bug#17504: closed (Re: bug#17504: bug in gzgrep?)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 17 May 2014 01:11:03 +0000

Your bug report

#17504: bug in gzgrep?

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17504: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17504
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17504: bug in gzgrep?
From: Paul Eggert <[email-masked]>
To: "Robert M. Lawhead" <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Fri, 16 May 2014 18:09:55 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Robert M. Lawhead wrote:
> % gzgrep --version
> gzgrep (gzip) 1.4

Wow, that's old.  I recall fixing that bug some time ago in the GNU 
sources.  I can't reproduce the problem on the oldest Solaris box I have 
easy access to:

$ echo foo >a
$ echo foo >b
$ echo bar >c
$ gzgrep foo *
a:foo
b:foo
$ gzgrep -h foo *
foo
foo
$ uname -srvmpi
SunOS 5.10 Generic_147440-19 sun4u sparc SUNW,Sun-Fire-280R
$ gzgrep --version | sed 1q
gzgrep (gzip) 1.5

My guess is that you need to bring your Solaris machine up-to-date, by 
installing the usual patches from Oracle.  Probably should be doing that 
anyway, as unpatched machines can be dangerous.

Subject: bug in gzgrep?
From: "Robert M. Lawhead" <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 15 May 2014 16:35:24 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

% gzgrep --version
gzgrep (gzip) 1.4
Copyright (C) 2007, 2009-2010 Free Software Foundation, Inc.
This is free software.  You may redistribute copies of it under the terms of
the GNU General Public License <http://www.gnu.org/licenses/gpl.html>.
There is NO WARRANTY, to the extent permitted by law.

Written by Jean-loup Gailly.

% mkdir gzgrep_test
% cd $_
% echo foo >a
% echo foo >b
% echo bar >c
%
% /usr/bin/gzgrep foo *
a:foo
b:foo

# brokeness...
% /usr/bin/gzgrep -h foo *
a:foo
b:foo

% ~/bin/gzgrep foo *
a:foo
b:foo

# fixed
% ~/bin/gzgrep -h foo *
foo
foo

# how does grep behave
% /bin/grep -h foo *
foo
foo

# The hack I made
% diff -bw /usr/bin/gzgrep /home/solaris/staff/rml/bin/gzgrep
157a158
> [[ $grep == @(*-h*) ]] && with_filename=0 && no_filename=1    # rml